# Claim Allocation Tokens

Claim tokens associated with a specific allocation by signing the claim request. By signing the claim request parameters, users trigger their intention to claim the allocated tokens to be claimed and withdraw to the allocation wallet.

Note: If there are no available tokens to claim, the user will still be able to obtain and sign the transaction, but will claim 0 tokens.

Example request

```sh
curl -X POST <https://app.magna.so/api/external/v1/allocations/{your_allocation_id}/claim> \\
-H 'Content-Type: application/json' \\
-H 'x-magna-api-token: magna_project_api_token' \\
-d '{
"sender": "signer_wallet_address",
"userCountryCode": "US",
}'
```

* `magna_project_api_token` (required) - replace with your actual Magna API token
* `your_allocation_id` (required) - replace with your allocation id which you want to claim tokens
* `sender` (required) - replace with the wallet address that is going to sign the claim transaction
* `userCountryCode` (optional) - you can use it to verify based on the users’ geo location and block them based on the blocked country list

Solana Response:

```jsx
{
  "isProcessed": true,
  "result": {
    "__type": "SolanaTransactionGroupParameters",
    "parameters": [
      {
        "instructions": [],
        "transactionId": "7ea0cd8f-26aa-4cfe-acad-e57f6ec62bfe"
      }
    ]
  }
}
```

EVM Response (TBD):

```
{
  "isProcessed": true,
  "result": {
    "parameters": [
      {
        "instructions": [],
        "transactionId": "7ea0cd8f-26aa-4cfe-acad-e57f6ec62bfe"
      }
    ]
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.magna.so/magna-api-documentation/allocations/claim-allocation-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
